PACEMAKER(8)

NAME
Pacemaker - Part of the Pacemaker cluster resource manager

SYNOPSIS
attrd_updater {-n <attribute> | -P <pattern>} <command> [options]

DESCRIPTION
query and update Pacemaker node attributes

OPTIONS

  Help Options:

-h, --help
    Show help options

--help-all
    Show all help options

--help-output
    Show output help

--help-required
    Show required arguments

--help-command
    Show command options (mutually exclusive)

--help-additional
    Show additional options

  Output Options:

--output-as=FORMAT
    Specify output format as one of: text (default), xml

--output-to=DEST
    Specify file name for output (or "-" for stdout)

  Required Arguments:

-n, --name=NAME
    The attribute's name

-P, --pattern=PATTERN
    Operate on all attributes matching this pattern (with -B, -D, -U, or -Y)

  Command:

-U, --update=VALUE
    Update attribute's value. Required: -n/--name or -P/--pattern. Optional: -d/--delay (if specified, the delay will be used if the attribute needs to be created, but ignored if the attribute already exists), -s/--set, -p/--private, -W/--wait, -z/--utilization.

-B, --update-both=VALUE
    Update attribute's value and time to wait (dampening) in the attribute manager. If this changes the value or dampening, the attribute will also be written to the cluster configuration, so be aware that repeatedly changing the dampening reduces its effectiveness. Requires -d/--delay

-Y, --update-delay
    Update attribute's dampening in the attribute manager. If this changes the dampening, the attribute will also be written to the cluster configuration, so be aware that repeatedly changing the dampening reduces its effectiveness. Requires -d/--delay

-Q, --query
    Query the attribute's value from the attribute manager. By default this will query the value of the attribute on the local node. Use -N/--node for the value on a given node, or -A/--all for the value on all nodes.

-D, --delete
    Unset attribute from the attribute manager. At the moment, there is no way to remove an attribute. This option will instead set its value to the empty string.

-R, --refresh
    (Advanced) Force the attribute manager to resend all current values to the CIB

  Additional Options:

-d, --delay=SECONDS
    The time to wait (dampening) in seconds for further changes before sending to the CIB

-s, --set=SET
    (Advanced) The attribute set in which to place the value

-N, --node=NODE
    Use the named node for setting and querying the attribute (instead of the local one)

-A, --all
    Show values of the attribute for all nodes (query only)

-l, --lifetime=SECTION
    (Not yet implemented) Lifetime of the node attribute (silently ignored by cluster)

-p, --private
    If this creates a new attribute, never write the attribute to CIB

-W, --wait=UNTIL
    Wait for some event to occur before returning. Values are 'no' (wait only for the attribute daemon to acknowledge the request), 'local' (wait until the change has propagated to where a local query will return the request value, or the value set by a later request), or 'cluster' (wait until the change has propagated to where a query anywhere on the cluster will return the requested value, or the value set by a later request). Default is 'no'.

-z, --utilization
    When creating a new attribute, create it as a node utilization attribute instead of an instance attribute. If the attribute already exists, its existing type (utilization vs. instance) will be used regardless. (with -B, -U, -Y)

  Application Options:

-$, --version
    Display software version and exit

-V, --verbose
    Increase debug output (may be specified multiple times)

AUTHOR
Written by Andrew Beekhof and the Pacemaker project contributors

REPORTING BUGS
Report bugs to https://bugs.clusterlabs.org/enter_bug.cgi?product=Pacemaker